Click or drag to resize

BrepCreateFromCornerPoints Method (Point3d, Point3d, Point3d, Point3d, Double)

make a Brep with one face.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep CreateFromCornerPoints(
	Point3d corner1,
	Point3d corner2,
	Point3d corner3,
	Point3d corner4,
	double tolerance
)

Parameters

corner1
Type: Rhino.GeometryPoint3d
A first corner.
corner2
Type: Rhino.GeometryPoint3d
A second corner.
corner3
Type: Rhino.GeometryPoint3d
A third corner.
corner4
Type: Rhino.GeometryPoint3d
A fourth corner.
tolerance
Type: SystemDouble
Minimum edge length allowed before collapsing the side into a singularity.

Return Value

Type: Brep
A boundary representation, or null on error.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also